<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imhist</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="edge.html">&lt;&lt; edge</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="impixel.html">impixel &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a> &gt; imhist</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imhist</h1>
    <p class="refpurpose">get the histogram of an image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">counts</span><span class="default">, </span><span class="default">cells</span><span class="default">] = </span><span class="functionid">imhist</span><span class="default">(</span><span class="default">im</span><span class="default">)</span>
<span class="default">[</span><span class="default">counts</span><span class="default">, </span><span class="default">cells</span><span class="default">] = </span><span class="functionid">imhist</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">bins</span><span class="default">)</span>
<span class="default">[</span><span class="default">counts</span><span class="default">, </span><span class="default">cells</span><span class="default">] = </span><span class="functionid">imhist</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">bins</span><span class="default"> [,</span><span class="default">width</span><span class="default"> [,</span><span class="default">color</span><span class="default">]])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">An image, which can be a boolean, uint8 , int8 , uint16 , int16 , int32 or double image.</p></dd></dt>
   <dt><span class="term">bins :</span>
      <dd><p class="para">The number of bins of the histogram. If bins is not specified, the function will used default value which determined by the image type: 2 for boolen, 2^8 for uint8 and int8, 2^16 for uint16 and int16, 2^16 for int32 (2^32 will need huge computer memory), and 10 for double.</p></dd></dt>
   <dt><span class="term">width :</span>
      <dd><p class="para">This argument will be sent to bar function. It is a real scalar, defines the width (a percentage of the available room) for the bar (default: 0.8, i.e 80%).</p></dd></dt>
   <dt><span class="term">color :</span>
      <dd><p class="para">This argument will be sent to bar function. It is a string (default: &#0039;blue&#0039;), specifing the inside color bar.</p></dd></dt>
   <dt><span class="term">counts :</span>
      <dd><p class="para">the returned histogram.</p></dd></dt>
   <dt><span class="term">cells :</span>
      <dd><p class="para">the intervals for bins.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imhist return the histogram of an image. If more than 2 arguments are give, the histogram will be shown in a figure.</p>
   <p class="para">If step is the step of scalar cells (cells(i+1)=cells(i)+step), the i&#0039;th bin is half-open interval (cells(i)-step/2, cells(i)+step/2] for i &gt; 1, and [cells(1)-step/2, cells(1)+step/2] for i=1.</p>
   <p class="para">If more than 2 arguments are given, the function will call bar(cells, counts, ...) and send rest arguments to bar function to display the histogram.</p>
   <p class="para">Supported image type
BOOLEAN, UINT8, INT8, UINT16, INT16, INT32, DOUBLE.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">rgb2gray</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">count</span><span class="scilabdefault">,</span> <span class="scilabid">cells</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">count</span><span class="scilabdefault">,</span> <span class="scilabid">cells</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">10</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">10</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">10</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">10</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">green</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabnumber">3</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imhist</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">10</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.8</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">green</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mean2.html" class="link">mean2</a></li>
   <li class="member"><a href="corr2.html" class="link">corr2</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="edge.html">&lt;&lt; edge</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="impixel.html">impixel &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
